# Generated by Django 2.0.7 on 2018-07-27 12:21

import api.model_helper
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='organization',
            name='id',
            field=models.CharField(default=api.model_helper.ModelHelper.generate_guid, max_length=32, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='project',
            name='id',
            field=models.CharField(default=api.model_helper.ModelHelper.generate_guid, max_length=32, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='task',
            name='id',
            field=models.CharField(default=api.model_helper.ModelHelper.generate_guid, max_length=32, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='tmsuserrole',
            name='id',
            field=models.CharField(default=api.model_helper.ModelHelper.generate_guid, max_length=32, primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='tmsuserrole',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.UserProfile'),
        ),
        migrations.AlterField(
            model_name='userprofile',
            name='uid',
            field=models.CharField(default=api.model_helper.ModelHelper.generate_guid, max_length=32, primary_key=True, serialize=False),
        ),
    ]
